import { Component, OnInit, AfterContentInit } from '@angular/core';

import { Router } from '@angular/router';
import { Store } from '@ngrx/store';
import * as NoAuthProbeStore from '../../store/noauth-probe';

import { Domain } from 'packages/domain/model';

@Component({
  selector: 'of-noauth-list',
  templateUrl: './list.component.html',
  styleUrls: ['./list.component.scss']
})
export class ListComponent implements OnInit, AfterContentInit {

  constructor(
    private router: Router,
    private store: Store<NoAuthProbeStore.State>,

  ) { }

  ngOnInit() {
  }

  ngAfterContentInit() {
    const domain: Domain = {
      id: 1,
    };
    this.store.dispatch(new NoAuthProbeStore.ReadAllByDomain(domain));
  }

}
